- Main Page
- Namespaces
- Classes
- Files
- Directories

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CglBK Class Reference

For Bron-Kerbosch. More...

`#include <CglPreProcess.hpp>`

Collaboration diagram for CglBK:

[legend]
List of all members.

## Public Member Functions
Main methods
void | bronKerbosch ()
| For recursive Bron-Kerbosch.
OsiSolverInterface * | newSolver (const OsiSolverInterface &model)
| Creates strengthened smaller model.
Constructors and destructors etc
| CglBK ()
| Default constructor.
| CglBK (const OsiSolverInterface &model, const char *rowType, int numberElements)
| Useful constructor.
| CglBK (const CglBK &rhs)
| Copy constructor .
CglBK & | operator= (const CglBK &rhs)
| Assignment operator.
| ~CglBK ()
| Destructor.
## Private Attributes
Private member data
int * | candidates_
| Current candidates (created at each level).
char * | mark_
| Array to mark stuff.
int * | start_
| Starts for graph (numberPossible+1).
int * | otherColumn_
| Other column/node.
int * | originalRow_
| Original row (in parallel with otherColumn_).
int * | dominated_
| How many times each original row dominated.
CoinPackedMatrix * | cliqueMatrix_
| Clique entries.
const char * | rowType_
| points to row types
int | numberColumns_
| Number of original columns.
int | numberRows_
| Number of original rows.
int | numberPossible_
| Number possible.
int | numberCandidates_
| Current number of candidates.
int | firstNot_
| First not (stored backwards from numberPossible_).
int | numberIn_
| Current number in clique.
int | left_
| For acceleration.
int | lastColumn_

## Detailed Description

For Bron-Kerbosch.

Definition at line 363 of file CglPreProcess.hpp.

## Constructor & Destructor Documentation

CglBK::CglBK | ( |  | ) |

Default constructor.

CglBK::CglBK | ( | const OsiSolverInterface & | model,
|  | const char * | rowType,
|  | int | numberElements |
| ) |  |  |

Useful constructor.

CglBK::CglBK | ( | const CglBK & | rhs | ) |

Copy constructor .

CglBK::~CglBK | ( |  | ) |

Destructor.

## Member Function Documentation

void CglBK::bronKerbosch | ( |  | ) |

For recursive Bron-Kerbosch.

OsiSolverInterface* CglBK::newSolver | ( | const OsiSolverInterface & | model | ) |

Creates strengthened smaller model.

CglBK& CglBK::operator= | ( | const CglBK & | rhs | ) |

Assignment operator.

## Member Data Documentation

int* CglBK::candidates_`[private]`

Current candidates (created at each level).

Definition at line 417 of file CglPreProcess.hpp.

char* CglBK::mark_`[private]`

Array to mark stuff.

Definition at line 419 of file CglPreProcess.hpp.

int* CglBK::start_`[private]`

Starts for graph (numberPossible+1).

Definition at line 421 of file CglPreProcess.hpp.

int* CglBK::otherColumn_`[private]`

Other column/node.

Definition at line 423 of file CglPreProcess.hpp.

int* CglBK::originalRow_`[private]`

Original row (in parallel with otherColumn_).

Definition at line 425 of file CglPreProcess.hpp.

int* CglBK::dominated_`[private]`

How many times each original row dominated.

Definition at line 427 of file CglPreProcess.hpp.

CoinPackedMatrix* CglBK::cliqueMatrix_`[private]`

Clique entries.

Definition at line 429 of file CglPreProcess.hpp.

const char* CglBK::rowType_`[private]`

points to row types

Definition at line 431 of file CglPreProcess.hpp.

int CglBK::numberColumns_`[private]`

Number of original columns.

Definition at line 433 of file CglPreProcess.hpp.

int CglBK::numberRows_`[private]`

Number of original rows.

Definition at line 435 of file CglPreProcess.hpp.

int CglBK::numberPossible_`[private]`

Number possible.

Definition at line 437 of file CglPreProcess.hpp.

int CglBK::numberCandidates_`[private]`

Current number of candidates.

Definition at line 439 of file CglPreProcess.hpp.

int CglBK::firstNot_`[private]`

First not (stored backwards from numberPossible_).

Definition at line 441 of file CglPreProcess.hpp.

int CglBK::numberIn_`[private]`

Current number in clique.

Definition at line 443 of file CglPreProcess.hpp.

int CglBK::left_`[private]`

For acceleration.

Definition at line 445 of file CglPreProcess.hpp.

int CglBK::lastColumn_`[private]`

Definition at line 446 of file CglPreProcess.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.57.1/Cgl/src/CglPreProcess/CglPreProcess.hpp